Articles of pip

Не удается установить Django 2 Beta 1 на Ubuntu Server 16.04

Я пытаюсь установить Django 2 beta 1 на Ubuntu Server 16.04, используя командную строку, показанную на странице загрузки Django, без успеха. Данная командная строка: pip install –pre django но когда я запускаю ее, она пытается установить Django 1.11.6. ( Downloading Django-1.11.6-py2.py3-none-any.whl (6.9MB) ) Кто-нибудь знает, как я могу успешно установить бета-версию?

Как установить модули в Python 2.7, установленные в Python 3.6?

У меня две версии Python на моем ноутбуке. Python 2.7 и Python 3.6. Если установить модуль, он устанавливается только в Python 3.6. Я хотел бы установить модули в Python 2.7 через pip, но я не знаю, как это сделать. Я хочу установить прямо сейчас GDAL и Fiona для Python 2.7 в Ubuntu 17.04.

Установка PIP Python 3.6.3 Ubuntu 16.04 Zlib недоступен, но он установлен

Я пытаюсь следовать этому руководству по установке Python 3.6.3 и PIP с виртуальными средами, но когда я получаю sudo python3.6 get-pip.py я получаю ошибку Traceback (most recent call last): File “get-pip.py”, line 20061, in main() File “get-pip.py”, line 194, in main bootstrap(tmpdir=tmpdir) File “get-pip.py”, line 82, in bootstrap import pip zipimport.ZipImportError: can’t decompress data; zlib […]

Установка Django на Ubuntu 16.04, python3

Я не могу установить django на python3 в ubuntu 16.04. Вот что я пробовал: 1. pip3 install django 2. pip3 install –trusted-host pypi.python.org django 3. pip3 install –index-url=http://pypi.python.org/simple –trusted-host pypi.python.org django Я продолжаю получать ту же ошибку: Could not fetch URL https://pypi.python.org/simple/django/: There was a problem confirming the ssl certificate: Can’t connect to HTTPS URL […]

Python3: попытка обновления pip3 в Ubuntu 16.04, но он не обновляется

В принципе, название. Я хочу обновить pip, потому что я не могу получить новые пакеты в python, потому что он устарел. Когда я пытаюсь запустить pip3 install –upgrade pip с терминала Ubuntu, это происходит: Collecting pip Using cached pip-9.0.3-py2.py3-none-any.whl Installing collected packages: pip Found existing installation: pip 9.0.1 Uninstalling pip-9.0.1: Successfully uninstalled pip-9.0.1 Rolling back […]

Ошибка сборки cx_Freeze?

Я пытаюсь создать двоичный файл из приложения python, flask и boto3. У меня возникли проблемы с запуском команды pip install cx_Freeze тоже работает. Я получаю следующую ошибку: Кажется, это не выбор правильных системных библиотек. Кроме того, может ли кто-нибудь предложить какие-либо инструменты для упаковки приложений python в двоичные файлы? Failed building wheel for cx-Freeze Running […]

Не удается установить virtualenv на ubuntu 12.04

я должен установить virtualenv на ubuntu 12.04, но он показывает следующую ошибку sudo pip install virtualenv [sudo] password for raushan: Downloading/unpacking virtualenv Cannot fetch index base URL http://pypi.python.org/simple/ Could not find any downloads that satisfy the requirement virtualenv No distributions at all found for virtualenv Storing complete log in /home/raushan/.pip/pip.log

Ошибка при установке утилья на ubuntu с помощью pip

Я только что установил pip, установил несколько пакетов np. Я попробовал это pip install prettytable Collecting prettytable From cffi callback : Traceback (most recent call last): File “/usr/local/lib/python2.7/dist-packages/OpenSSL/SSL.py”, line 313, in wrapper _lib.X509_up_ref(x509) AttributeError: ‘module’ object has no attribute ‘X509_up_ref’ Could not find a version that satisfies the requirement prettytable (from versions: ) No matching […]

Получение «Нет модуля с именем django_messages»

Я работаю с приложением Django под названием DjangoBB . Я пытаюсь установить его на свой сервер, но я застрял с плагином / приложением сообщений. Этот вывод не имеет для меня никакого смысла … # pip install django-messages Requirement already satisfied (use –upgrade to upgrade): django-messages in /usr/local/lib/python2.7/dist-packages Cleaning up… # python manage.py runserver Error: No […]

Как установить библиотеки netifaces для Python3 в Ubuntu 12.04?

Я сделал программу в Python3, которая использует пакеты netifaces , я установил ее с pip3 на двух компьютерах с Ubuntu 13.04 и Ubuntu 13.10. Однако мне нужно установить его на другой компьютер с Ubuntu 12.04, и здесь я не могу установить pip3 (python3-pip), потому что он не находится в репозиториях. Я сделал следующие шаги: sudo […]